# Interface MenuBarFactory

All Known Implementing Classes:
  `ConsoleMenuBarFactory, DefaultMenuBarFactory, DemoMenuBarFactory, MultiDocMenuBarFactory, SingleDocMenuBarFactory`

public interface MenuBarFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MENU_MASK`

## Method Summary

Modifier and Type
Method
Description
`void`
`deregisterMenuFactories()`
`void`
`populateMenuBar(JMenuBar menuBar, AbstractFrame frame)`
`void`
`registerMenuFactory(MenuFactory menuFactory)`
`void`
`registerPermanentMenuFactory(MenuFactory menuFactory)`

## Field Details

### MENU_MASK

static final int MENU_MASK

## Method Details

### populateMenuBar

void populateMenuBar(JMenuBar menuBar, AbstractFrame frame)

### deregisterMenuFactories

void deregisterMenuFactories()

### registerPermanentMenuFactory

void registerPermanentMenuFactory(MenuFactory menuFactory)

### registerMenuFactory

void registerMenuFactory(MenuFactory menuFactory)